SDL_TextInputEvent(3type)

NAME
SDL_TextInputEvent - Keyboard text input event structure (event.text.*)

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_TextInputEvent
{
    SDL_EventType type; /**< ::SDL_EVENT_TEXT_INPUT */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_WindowID windowID; /**< The window with keyboard focus, if any */
    char *text;         /**< The input text, UTF-8 encoded */
} SDL_TextInputEvent;

DESCRIPTION
The text is owned by SDL and should be copied if the application wants to hold onto it beyond the scope of handling this event.

AVAILABILITY
This struct is available since SDL 3.0.0.